Bug 129941 - vsftpd logs do not rotate by default.
vsftpd logs do not rotate by default.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vsftpd (Show other bugs)
3.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Martin Nagy
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-14 18:50 EDT by Chris Carr
Modified: 2016-07-26 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 07:38:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Carr 2004-08-14 18:50:58 EDT
Description of problem:
Default RPM install contains file /etc/logrotate.d/vsftpd.log which
contains:
/var/log/vsftpd.log {
    # ftpd doesn't handle SIGHUP properly
    nocompress
    missingok
}

However, the default behavior for the daemon is to write to
/var/log/xferlog -- not to /var/log/vsftpd.log. No logrotate config
file is provided for /var/log/xferlog.

Version-Release number of selected component (if applicable):
1.2.1-3

How reproducible:
Install Red Hat Enterprise Linux 3.0, selecting the FTP Server package
in the process. Start the vsftpd daemon. Transfer a few files. Observe
that transfer activity is logged to /var/log/xferlog. Wait a week.
Observe that /var/log/xferlog has not been rotated.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
logrotate config contains directive to rotate /var/log/vsftpd.log.
/var/log/xferlog grows indefinitely without being rotated.

Expected results:
logrotate config should contain directive to rotate /var/log/xferlog;
or daemon should log to /var/log/vsftpd.log. I prefer the former behavior.

Additional info:
Comment 1 Radek Vokal 2004-08-23 04:03:20 EDT
Logging was fixed in vsftpd-2.0.1.
Comment 2 Martin Nagy 2008-02-01 07:38:11 EST
I'm sorry but for RHEL-3 we currently only fix regressions and mission critical
bug. Hence closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.